---
layout: post
title: "Blogging as an Open Source Project"
date: 2015-03-13T15:02:12-04:00
summary: Running my blog like a software project. It's an experiment!
image: /images/2015/open.jpg
image_source: https://flic.kr/p/4bs8uP
tags:
- site
- open
---

Sometimes you have to go with what you know. For the past few years, I've been working on establishing a daily writing habit. Many thanks to [750words](http://750words.com/), I've had some success, but that hasn't always translated to blog posts or any public writing.

However, I got a [tweet reply](https://twitter.com/bmann/status/563748935336857601) from [Boris](http://bmann.ca/) that triggered an idea. While his suggestion was to write a post with the titles of my "Unpublished Drafts", I'm going to take it one step further:

I'm going to run this blog like an open source project.

Now, since the [switch to jekyll](http://walkah.net/blog/new-year-new-blog/) over 3 years ago, the source code for my blog has been [open source on github](https://github.com/walkah/walkah.net). However, I'm going to open up things a bit further:

* Instead of a post with untitled drafts, I have started to create issues with an "[idea label](https://github.com/walkah/walkah.net/labels/idea)" for blog post ideas.
* Beginning with this post, I'm trying [github flow](https://guides.github.com/introduction/flow/) for all new posts. This will result in a new PR.
* And, of course, all posts will be tested on [travis-ci](https://travis-ci.org/walkah/walkah.net).

This might be overkill. It's an experiment. But, this is (more or less), the way I build software. That's something I do every day, so maybe it will better integrate blogging with the rest of my flow.

Of course, it also encourages collaboration. I am not expecting a lot of participation on my blog, but I anticipate that giddy feeling the first time someone does! See you [on github](https://github.com/walkah/walkah.net).
